Subject: tmail: Create ENVELOPE and BODY structure

From: Stefan Schulte <[email-masked]>
Date: Mon, 11 Nov 2002 14:25:32 +0100

Hi all,

i am experimenting with 'tmail' (a program included in the imap utils)
for delivering emails into IMAP mailboxes.

Actually i try to fill an ENVELOPE structure and an BODY structure
inside the tmail program using the c-client library, but I don't know
how to do that. 
tmail only gets access to the email through an tmpfile()
function call. There is no mailbox to open.

Is there a possibility to fill the ENVELOPE and BODY structure if I
only have the raw email stream ?
Which methods of the c-client library do i have 
to use ?

Many thanks
Stefan
________________________________________________________________
Viren? Wir wissen nicht was Ihr Arzt empfiehlt. Wir empfehlen den
Virencheck für Dateianhänge! http://freemail.web.de/features/?mc=021159

-- 
------------------------------------------------------------------
 For information about this mailing list, and its archives, see: 
 http://www.washington.edu/imap/c-client-list.html
------------------------------------------------------------------

---

From: Mark Crispin <[email-masked]>
Date: Mon, 11 Nov 2002 08:37:10 -0800 (PST)

tmail has nothing to do with ENVELOPE and BODYSTRUCTURE.  tmail just accepts a
raw text from sendmail, and appends it to the mailbox.  It is an MDA, not an
MUA.

I don't understand what you are trying to do.  However, I am fairly certain
that you are on the wrong track for your solution.  Please explain what it is
that you want to accomplish.